﻿using Magazyn.DataModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Magazyn.Windows
{
    /// <summary>
    /// Interaction logic for InfoWindow.xaml
    /// </summary>
    public partial class InfoWindow : Window
    {
        Fruit fruit;
        public InfoWindow(Fruit fruit)
        {
            InitializeComponent();
            this.fruit = fruit;

            fruitName.Text = "Owoc: " + fruit.Name;
            this.Title = this.Title + fruit.Name;

            fruitPrice.Text = "Cena: " + fruit.Price.ToString() + "zł";
            fruitQuantity.Text = "Ilość: " + fruit.Quantity.ToString();
            fruitQuantityMax.Text = "Ilość maks: " + fruit.QuantityMax.ToString();

            fruitValue.Text = "Wartość: " + (fruit.Price * fruit.Quantity).ToString() + "zł";

            try
            {
                fruitImage.Source = fruit.ImageSource;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void okButton_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void Window_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Return) this.Close();
        }
    }
}
